openapi: 3.0.0
info:
  title: Personalized
  version: 1.0.0
servers:
  - url: http://{{backend_url}}
paths:
  /store/variants/{id}/price:
    post:
      tags:
        - default
      summary: Get Custom Price
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                region_id: ''
                metadata:
                  height: 0
                  weight: 0
      parameters:
        - name: x-publishable-api-key
          in: header
          schema:
            type: string
          example: '{{PUBLISHABLE_API_KEY}}'
        - name: id
          in: path
          schema:
            type: string
          required: true
          example: variant_01K0PD9BS80CS1SB77MPK88TR0
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /store/carts/{id}/line-items-custom:
    post:
      tags:
        - default
      summary: Add to Cart Custom
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                variant_id: ''
                quantity: 1
                metadata:
                  height: 0
                  width: 0
      parameters:
        - name: x-publishable-api-key
          in: header
          schema:
            type: string
          example: '{{PUBLISHABLE_API_KEY}}'
        - name: id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
